Bug 65826 - Implement minimum width & height of StartCenter
Summary: Implement minimum width & height of StartCenter
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
4.2.0.0.alpha0+ Master
Hardware: All All
: medium enhancement
Assignee: Tamás Zolnai
URL:
Whiteboard: target:4.3.0 target:4.2.1
Keywords:
Depends on:
Blocks:
 
Reported: 2013-06-16 13:40 UTC by Stefan Knorr (astron)
Modified: 2018-10-10 12:56 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Knorr (astron) 2013-06-16 13:40:41 UTC
Currently, it is possible to resize the Start Center window to 0*0. Of course, this entails cutting off UI elements in nasty ways.
It would make a lot of sense to limit that to 800*600, because this incidentally also matches the size of the Start Center background image.
Comment 1 m.a.riosv 2013-06-16 22:48:16 UTC
Hi Stefan,
maybe a request for enhancement than an issue.

For me the minimum could be 320*75, leaving visible the entire menu.

I you are not agree with importance change please reset it.
Comment 2 Jean-Baptiste Faure 2013-11-27 21:07:58 UTC
With the new StartCenter, the minimum size can be smaller than 800*600. It should at least show the green left bar and one column of recent files.

Best regards. JBF
Comment 3 retired 2013-12-20 15:29:56 UTC
Can this be tackled before the 4.2 final release? Would make the startcenter appear a lot more professional.
Comment 4 Commit Notification 2014-01-21 15:43:55 UTC
Zolnai Tamas committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=840e7f004354ebe1239b9271dd758839c477ca7c

fdo#65826 and fdo#73605: set a minimum size to start center



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 retired 2014-01-22 08:03:46 UTC
Great, thanks a lot Zolnai. Very important patch for a more professional appearance of LO.
Comment 6 V Stuart Foote 2014-01-22 21:45:59 UTC
On Windows 7 sp1, 64-bit with
Version: 4.3.0.0.alpha0+
Build ID: 77637324abc193d831bb4a0fa6f9a91ef3601960
TinderBox: Win-x86@39, Branch:master, Time: 2014-01-22_16:19:04

I like the solution, limits to one thumbnail view when objects present, or limits to width of greetings text when thumbnail view is empty.

So of we can get the thumbnail scroll bar working again ( bug 72287 ) resolves substantive mab 4.2 issues with SC and TM.
Comment 7 Commit Notification 2014-01-25 05:50:01 UTC
Zolnai Tamas committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9808306875fff4b97db6acb1182a153c874f15c5

Related fdo#65826: Set StartCenter's min width to display one column of docs



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2014-02-03 18:30:14 UTC
Zolnai Tamas committed a patch related to this issue.
It has been pushed to "libreoffice-4-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b010e8911cb2c72c57b76ff44892db67b30f2b5b&h=libreoffice-4-2

fdo#65826 and fdo#73605: set a minimum size to start center


It will be available in LibreOffice 4.2.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2014-02-03 18:30:32 UTC
Zolnai Tamas committed a patch related to this issue.
It has been pushed to "libreoffice-4-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ff86ddf59884ab3bd08e6bf33adabf8ca79967df&h=libreoffice-4-2

Related fdo#65826: Set StartCenter's min width to display one column of docs


It will be available in LibreOffice 4.2.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.